import { HttpServer } from "./base/HttpServer";
import * as express from "express";
declare class Options {
    nuxt: any;
    useCors: boolean;
}
export declare class WebServer extends HttpServer {
    static readonly prototypeControllers: any[];
    private readonly controllers;
    private express;
    private readonly nuxt;
    private root;
    constructor(options?: Options);
    private static validResponse;
    getControllers(): any[];
    getApplication(): express.Express;
    getRoot(): string | undefined;
    setRoot(value: string): this;
    start(): Promise<any>;
    private resolveTarget;
    private initialize;
    private createRoute;
}
export {};
