
import { Server } from "./Server";
import * as http from "http";
import * as express from "express";
export declare abstract class HttpServer extends Server {
    private readonly httpServer;
    private port;
    constructor(express: express.Express);
    getPort(): Number;
    setPort(value: Number): this;
    getHttpServer(): http.Server;
    start(): Promise<any>;
}
