import { HttpMethod } from "./HttpMethod";
import { Route } from "./Route";
import * as express from 'express';
export declare type MiddlewareFunction = express.RequestHandler;
export declare class HttpRoute implements Route {
    id: any;
    name: string;
    url: any;
    method: HttpMethod;
    callback: Function;
    middlewares?: [express.RequestHandler] | undefined;
    constructor(id: any, name: string, url: any, method: HttpMethod, callback: Function, middlewares?: [express.RequestHandler] | undefined);
}
