"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var HttpRoute_1 = require("../../common/HttpRoute");
var HttpMethod_1 = require("../../common/HttpMethod");
var Route_1 = require("../../common/Route");
function Delete(route, middlewares) {
    return function (target, method, descriptor) {
        var routes = Route_1.getRoutes(target);
        routes[method] = new HttpRoute_1.HttpRoute(null, method, route, HttpMethod_1.HttpMethod.delete, descriptor.value, middlewares);
    };
}
exports.Delete = Delete;

//# sourceMappingURL=Delete.js.map
