"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var Parameter_1 = require("../../common/Parameter");
var StdParameter_1 = require("../../common/StdParameter");
function Data(name) {
    return function (target, method, index) {
        var parameters = Parameter_1.getParameters(target);
        if (!parameters[method]) {
            parameters[method] = [];
        }
        var type = Reflect.getOwnMetadata('design:paramtypes', target, method)[index];
        parameters[method].push(new DataParameter(name, type, index));
    };
}
exports.Data = Data;
var DataParameter = /** @class */ (function (_super) {
    __extends(DataParameter, _super);
    function DataParameter() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DataParameter.prototype.getValue = function (req) {
        return this.getRawValue(this.name ? req.body[this.name] : req.body);
    };
    return DataParameter;
}(StdParameter_1.StdParameter));
exports.DataParameter = DataParameter;

//# sourceMappingURL=Data.js.map
