"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
var Parameter_1 = require("../../common/Parameter");
var StdParameter_1 = require("../../common/StdParameter");
function Request(name) {
    return function (target, method, index) {
        var parameters = Parameter_1.getParameters(target);
        if (!parameters[method]) {
            parameters[method] = [];
        }
        var type = Reflect.getOwnMetadata('design:paramtypes', target, method)[index];
        parameters[method].push(new RequestParameter(name, type, index));
    };
}
exports.Request = Request;
var RequestParameter = /** @class */ (function (_super) {
    __extends(RequestParameter, _super);
    function RequestParameter() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RequestParameter.prototype.getValue = function (req) {
        return this.getRawValue(this.name ? req[this.name] : req);
    };
    return RequestParameter;
}(StdParameter_1.StdParameter));
exports.RequestParameter = RequestParameter;

//# sourceMappingURL=Request.js.map
