"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function Inject() {
    return function (target, property) {
        if (!target.hasOwnProperty(property)) {
            Object.defineProperty(target, property, {
                configurable: true,
                enumerable: true,
                writable: true,
                value: null
            });
        }
        Reflect.defineMetadata("custom:inject", null, target, property);
    };
}
exports.Inject = Inject;

//# sourceMappingURL=Inject.js.map
